/*---------- BOX ASSETS ---------- */
/* main grid */
#quois-a {
    position:fixed;
    top:0;left:0;right:0;
    margin:0 auto;
    height:100vh;
    text-align:center;
}

#quois-b {display:inline-block;}

#quois-c {
   height:100vh;
   display:table;
}

#quois-d {
   display:table-cell;
   vertical-align:middle;
}

#quois-grid {
    display:flex;
    align-items:center;
    text-align:left;
}

/* -- */

.title-box {
    margin-bottom:var(--Main-Grid-Gaps-Vertical);
}

.soup {
    margin-left:calc(var(--TextBox-Border-Size) * 2);
    width:calc(var(--Left-TextBoxes-Width) + (var(--TextBox-Border-Size) * 4));
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Dark);
}

.maple {
    margin-left:var(--TextBox-Border-Size);
    width:var(--TextBox-Border-Size);
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Medium-1);
    border-right:calc(var(--TextBox-Border-Size) * 2) solid var(--TextBox-Border-Medium-2);
}

.syrup {
    width:calc(var(--Left-TextBoxes-Width) + (var(--TextBox-Border-Size) * 2));
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Main-1);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-1);
}

/* -- */

.kami {
    width:var(--TextBox-Border-Size);
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Medium-2);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Dark);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-1);
}

.nari {
    width:calc(var(--Left-TextBoxes-Width) + var(--TextBox-Border-Size));
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Medium-2);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Main-2);
}

.denki {
    width:var(--TextBox-Border-Size);
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Main-2);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-2);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Dark);
}

/* -- */
.cola {
    width:calc(var(--TextBox-Border-Size) * 2);
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Medium-2);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Dark);
}

.cotton {
    width:var(--TextBox-Border-Size);
    height:calc(100% - var(--TextBox-Border-Size));
    background:var(--TextBox-Border-Medium-2);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Dark);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Main-2);
}

/* -- */

.freme {
    /*margin-left:calc(var(--TextBox-Border-Size) * 3); */
    border:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-1);
    width:var(--Left-TextBoxes-Width);
}

.confusion {
    position:relative;
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Shadow);
}

.mycabbages {
    position:relative;
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Background);
    border-right:calc(var(--TextBox-Border-Size) * 3) solid var(--TextBox-Border-Shadow);
}

/* -- */
/* -- */

.booze, .ale {
    width:calc(var(--TextBox-Border-Size) * 2);
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Main-2);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Dark);
}

.soda {
    width:var(--TextBox-Border-Size);
    height:calc(100% - var(--TextBox-Border-Size));
    background:var(--TextBox-Border-Main-2);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-2);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Dark);
}

.ale {
    background:var(--TextBox-Border-Medium-2);
}

/* -- */
.bread {
    width:var(--TextBox-Border-Size);
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Medium-2);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Dark);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-1);
}

.heavens {
    width:var(--Left-TextBoxes-Width);
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Main-1);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-2);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-2);
}

.qoo {
    width:var(--TextBox-Border-Size);
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Medium-2);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-1);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Dark);
}

/* -- */

.mojito {
    margin-left:calc(var(--TextBox-Border-Size) * 1);
    width:calc(var(--Left-TextBoxes-Width) + (var(--TextBox-Border-Size) * 4));
    height:var(--TextBox-Border-Size);
    background:var(--TextBox-Border-Medium-2);
    border-left:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-1);
    border-right:var(--TextBox-Border-Size) solid var(--TextBox-Border-Medium-1);
}

/* -- */
#quois-right {
    margin-left:var(--Main-Grid-Gaps-Sides);
}

#quois-right .soup {
    width:calc(var(--Sidebar-Width) + (var(--TextBox-Border-Size) * 4));
}

#quois-right .syrup {
    width:calc(var(--Sidebar-Width) + (var(--TextBox-Border-Size) * 2));
}

#quois-right .nari {
    width:calc(var(--Sidebar-Width) + var(--TextBox-Border-Size));
}

#quois-right .freme, #quois-right .heavens {
    width:var(--Sidebar-Width);
}

/* -- */

#quois-right .mojito {
    width:calc(var(--Sidebar-Width) + (var(--TextBox-Border-Size) * 4));
}

.links-box .soup {
    width:calc(var(--Custom-Links-Box-Width) + (var(--TextBox-Border-Size) * 4));
}

.links-box .syrup {
    width:calc(var(--Custom-Links-Box-Width) + (var(--TextBox-Border-Size) * 2));
}

.links-box .nari {
    width:calc(var(--Custom-Links-Box-Width) + var(--TextBox-Border-Size));
}

.links-box .freme, .links-box .heavens {
    width:var(--Custom-Links-Box-Width);
}

.links-box .mojito {
    width:calc(var(--Custom-Links-Box-Width) + (var(--TextBox-Border-Size) * 4));
}
